Osmo(1)

NAME

Osmo - a handy personal organizer

SYNTAX

osmo [option]

DESCRIPTION

Osmo is a handy personal organizer, which includes calendar, tasks manager, address book and notes modules. It was designed to be a small, easy to use and good looking PIM tool to help to manage personal information.

OPTIONS

-c, --calendar
    Show small calendar window

-e, --check
    Check for events since last run

-d, --days
    Number of days to check forward for events (default: 0)

-q, --mutt-query=STRING
    Match contacts with given string

--html-stylesheet=FILE
    Use the specified stylesheet(CSS) file for the HTML renderer. Suitable for matching the content in the HTML renderer with the GTK theme.

-?, --help
    Output help information and exit.

FILES

The files are stored in locations indicated by XDG_CONFIG_HOME and XDG_DATA_HOME environmental variables.

The default locations:

$HOME/.config/osmo/config.xml - configuration
$HOME/.local/share/osmo/calendar_notes.xml - calendar groups and notes
$HOME/.local/share/osmo/contacts_records.xml - contacts data
$HOME/.local/share/osmo/ical_files.xml - active iCalendar files
$HOME/.local/share/osmo/notes_entries.xml - notes list
$HOME/.local/share/osmo/notes/*.osm - notes data files
$HOME/.local/share/osmo/tasks_entries.xml - tasks data

EXAMPLES

To run this program the standard way type:

osmo

To run small calendar type:

osmo -c

To check events for two days since today type:

osmo -e -d 2

HOMEPAGE

http://osmo-pim.sourceforge.net

AUTHORS

Tomasz Maka <pasp@users.sourceforge.net> (programming)
Piotr Maka <silloz@users.sourceforge.net> (programming)
Maja Kocon (http://pinky-babble.org) (graphics)

CONTRIBUTORS

Markus Dahms <mad@automagically.de> (LibSyncML support)
Nacho Alonso González <nacho.alonso.gonzalez@gmail.com> (Windows port)
Maarten Faddegon <info@maartenfaddegon.nl> (Mutt query command)
Maxim Gordienko <mgordienko@users.sf.net> (GUI fixes and updates)